function Nonsta

% Transient Diffusion

clc
clear
close all

fid=fopen('nonsta.out');
A=fscanf(fid,'%e %e %e',[3,inf])';
fclose(fid);
time=A(:,1);
x1=A(:,2);
flux=A(:,3);

nnodes = 41;

for i=1:100000
  i1 = 1 + nnodes * ( i - 1 ) ;
  i2 = nnodes * i ;

     plot(x1(i1:i2),flux(i1:i2),'-r.')
   grid
  xlabel('X Coordinate [cm]')
  ylabel('Normalized Flux')
  title(sprintf('                                                Transient Diffusion = %10.5e s ',time(i1) ) );
%  axis([0., 10.,-2.,2.]) 
 
  pause(0.00001);
  

end;



  
